int a = 0, b = 111, c = 222, d = 333;
^int p = &a;
printf( "%d\n", (++p)^ );
printf( "%d\n", (++p)^ );
printf( "%d\n", (++p)^ );
printf( "%d\n", (p--)^ );
printf( "%d\n", (p--)^ );
printf( "%d\n", (p--)^ );
